LinHES - Feature # 867: gd.so php module missing

Status: Closed Priority: Normal
Author: mikavir Category: Packages: Core
Created: 11/08/2012 Assignee: cecil

Updated: 12/02/2012 Due date:

Description: The gd.so module is not present in /usr/lib/php/modules/

This module is required, for example, by OwnCloud (owncloud.org). More info in thread:
http://forum.linhes.org/viewtopic.php?f=22&t=22846

History

11/28/2012 09:05 am - mikavir

As instructed, | downloaded ownCloud from aur.archlinux.org, but the problem persists.
Since the gd.so is not in the php modules directory /usr/lib/php/modules/, it's (obviously) missing... Package called php-gd contains only the gd.so

module, so | think that LinHES developers could include this package to the repositories.

11/28/2012 09:12 am - jams
Mikavir , only speaking for myself but | have no plans to update/fix R7.

With that said R8 does include php-gd. If you have spare hardware or VM feel free to test out the test3.iso file and report back.

11/28/2012 11:54 am - cecil
- % Done changed from 0 to 60

- Assignee set to cecil

- Category set to Packages: Core

11/28/2012 12:09 pm - cecil

- % Done changed from 60 to 90

- Status changed from New to Feedback

The package is now in the testing repo. sudo pacman -Sy php-gd and let us know.

11/28/2012 10:36 pm - mikavir

After installation of php-gd ownCloud works :) Thank you Cecil!!!

(VM instance of R8 is underway)

12/02/2012 09:45 pm - cecil
- % Done changed from 90 to 100

- Status changed from Feedback to Closed

You're welcome. Thanks for being a long time user of KnoppMyth and LinHES!
